Get your domain
Retrieve your organization's configured email domain from Resend. Requires a Resend API key to be configured via BYOK (Bring Your Own Key). Returns null if no domain is configured.
Retrieve your organization's configured email domain from Resend. Requires a Resend API key to be configured via BYOK (Bring Your Own Key). Returns null if no domain is configured.
Authorization
BearerAuth API key authentication. Get your key from the dashboard.
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/domains"{
"domain": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"domain_name": "notifications.example.com",
"resend_domain_id": "string",
"status": "not_started",
"region": "eu-west-1",
"records": [
{
"type": "TXT",
"name": "string",
"value": "string",
"record": "string",
"ttl": "string",
"status": "string",
"priority": 0
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"verified_at": "2019-08-24T14:15:22Z"
}
}{
"error": "Invalid API key",
"message": "string"
}List available Resend domains GET
Fetch all domains configured in your Resend account. Use this to see which domains you can select for your organization's email notifications. Requires a Resend API key configured via BYOK.
Add a domain POST
Create a custom email domain in Resend for sending notifications from your organization. Requires a Resend API key configured via BYOK. You can only have one domain configured per organization.